#ifndef H_INTERACTIF
#define H_INTERACTIF

#include "dessin.h"
#include "fenetre.h"

class INTERACTIF : public FENETRE
{
  DESSIN* dessin;
  ulong mark;
  SELECTION mark_voisins; // direction pour le split
  COULEUR couleur_face;
  COULEUR couleur_ancre0;
  COULEUR couleur_ancre1;
  COULEUR couleur_marque;
  //[GNU] static const ulong flags = 0xFF3;
  enum { flags = 0xFF3 };
public:
  enum FLAGS { none = 0,
    legende = 0x1, traceaxes = 0x2,
    points = 0x10, valeurs = 0x20, liens = 0x40, etoile = 0x80,
    ancres = 0x100, norme = 0x200,
    marque = 0x400, voisins = 0x800,
    allocation = 0x1000  // debug
    };

  INTERACTIF (const char* winname, DESSIN& d);
  void affiche (const ulong f = flags,
                const bool sinon_efface = true);
  void loop ();
private: // On supprime les oprateurs par dfaut
  INTERACTIF& operator = (const INTERACTIF&);
  INTERACTIF (const INTERACTIF&);
};
extern void help ();

#endif
