#ifndef H_BELYI
#define H_BELYI

// On dfinit la classe BELYI qui contient la gomtrie du dessin :
// les polynmes dfinissant la fonction de Belyi.

#include "vecteur.h"
#include "polynome.h"

extern POLYNOME computepol (const VALENCES& exponents, const VECTEUR& roots,
        ulong offset, ulong offsetroot);

class BELYI
{
public:
  POLYNOME R, P, Q, S;
  CX lambda;
  BELYI (const TOPOLOGIE& t, const VECTEUR& x);
private: // On supprime les oprateurs par dfaut
  BELYI& operator = (const BELYI&);
  BELYI (const BELYI&);
};

#endif
